﻿using System;

namespace SharePointIntegrationWeb.Pages
{
    public partial class ErrorPage : System.Web.UI.Page
    {
        /// <summary>
        /// Gets the exception that was sent when redirected to this page.
        /// Creates a link that will take you back to the frontpage.
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void Page_Load(object sender, EventArgs e)
        {
            //Exception ex = (Exception) sender;
            Exception exc = Server.GetLastError();
            Response.Write(exc.InnerException.Message + "<br/>");
            link.HRef = (string)Session["StartPage"];

        }
    }
}