﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="SearchMember.aspx.cs" Inherits="SharePointIntegrationWeb.Pages.SearchMember" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <link href="../Content/Site.css" type="text/css" rel="stylesheet" />
    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/css/bootstrap.min.css" />

    <!-- Optional theme -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/css/bootstrap-theme.min.css" />

    <!-- Latest compiled and minified JavaScript -->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/js/bootstrap.min.js"></script>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>

        <div id="fields">
            <span id="helpBlock" class="help-block">Indtast søgetekst efterfulgt af 'Enter' eller Søg-knappen. Du kan sortere i medlemmerne ved at klikke på toppen af kolonnerne.</span>

            <asp:UpdatePanel ID="UpdatePanel1" runat="server">
                <ContentTemplate>
                    <div class="editInputDiv">
                        <div class="input-group">
                            <asp:TextBox ID="MemberNameTextBox" type="search" runat="server" placeholder="Indtast dele af/hele medlemmets navn" OnTextChanged="MemberNameTextBox_TextChanged" AutoPostBack="True" Width="350px" class="form-control"></asp:TextBox><span class="input-group-btn">
                                <button class="btn btn-default" type="button">Søg!</button>
                            </span>
                        </div>

                    </div>
                    <br />
                    <asp:GridView ID="GridView1" runat="server" AllowSorting="True" AlternatingRowStyle-CssClass="Alternate" AutoGenerateColumns="False" CssClass="GridView" DataSourceID="SqlDataSource1" OnRowDataBound="GridView1_OnRowDataBound" AllowPaging="True">
                        <Columns>
                            <asp:BoundField DataField="Name" HeaderText="Navn" SortExpression="Name" />
                            <asp:BoundField DataField="Email" HeaderText="Email" SortExpression="Email" />
                            <asp:BoundField DataField="MemberType" HeaderText="Status" SortExpression="MemberType" />
                            <asp:HyperLinkField DataNavigateUrlFields="Email" DataNavigateUrlFormatString="EditProfile.aspx?edit=member&amp;email={0}" Text="Redigér" />
                            <asp:HyperLinkField />
                        </Columns>
                        <HeaderStyle BackColor="#0000FF" ForeColor="#000000" />
                        <SortedAscendingHeaderStyle BackColor="#0000CC" />
                    </asp:GridView>
                    <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="Data Source=qjauqbgpqz.database.windows.net;Initial Catalog=membersystem;User ID=membersystem;Password=U'TP9UDkQ+eN(q$y" ProviderName="System.Data.SqlClient" SelectCommand="SELECT [Name], [Email], [MemberType] FROM [Member] WHERE ([Name] LIKE '%' + @Name + '%')">
                        <SelectParameters>
                            <asp:ControlParameter ControlID="MemberNameTextBox" Name="Name" PropertyName="Text" Type="String" />
                        </SelectParameters>
                    </asp:SqlDataSource>
                </ContentTemplate>
            </asp:UpdatePanel>

            <br />


            <br />
            <asp:Button ID="BackButton" runat="server" Text="Tilbage" class="btn btn-default" OnClick="BackButton_Click" /><br />
            <div class="alert alert-danger" id="SearchError" visible="False" runat="server" role="alert" style="margin-top: 10px"></div>
        </div>
    </form>

</body>

<script type="text/javascript">
    function Confirm(email, status) {
        var confirmValue = document.createElement("INPUT");
        confirmValue.type = "hidden";
        confirmValue.name = "confirm_value";
        if (confirm(status + " " + email + "?")) {
            confirmValue.value = "Yes";
            window.location.href = "ArchiveConfirm.aspx?email=" + email;
        } else {
            confirmValue.value = "No";
        }
        document.forms[0].appendChild(confirmValue);
    }
</script>

</html>
