﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="InvoiceList.aspx.cs" Inherits="SharePointIntegrationWeb.Pages.InvoiceList" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <link href="../Content/Site.css" type="text/css" rel="stylesheet" />
    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/css/bootstrap.min.css" />
    <link rel="stylesheet" href="//code.jquery.com/ui/1.11.4/themes/smoothness/jquery-ui.css">
    <script src="//code.jquery.com/jquery-1.10.2.js"></script>
    <script src="//code.jquery.com/ui/1.11.4/jquery-ui.js"></script>
    <!-- Optional theme -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/css/bootstrap-theme.min.css" />

    <!-- Latest compiled and minified JavaScript -->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/js/bootstrap.min.js"></script>
    <script>
        function ShowMemberInfo(name, email, id) {
            $("#dialog").html("<p>Medlems nr: " + id + "</p><p>Navn: " + name + "</p><p>E-mail: " + email + "</p>");
            $("#dialog").dialog();
        }
    </script>
</head>
<body>
    <div id="dialog" title="Medlems info"></div>
    <form id="form1" runat="server">
        <div id="fields">
            <span id="helpBlock" class="help-block">Tryk på "Skift Liste" for at skifte mellem ubetalte faktuaer og alle fakturaer.<br />
                Tryk på medlemskabs nr for at få mere informationer om medlemmet.</span>
            <asp:Button ID="ChangeView" class="btn btn-default" AutoPostBack="true" runat="server" Text="Skift Liste" OnClick="ChangeView_OnClick" />
            <br />
            <br />
            <asp:GridView ID="GridView1" OnDataBound="GridView1_OnDataBound" EnableViewState="true" AlternatingRowStyle-CssClass="Alternate" CssClass="GridView" runat="server" AutoGenerateColumns="False" DataKeyNames="Id" DataSourceID="SqlDataSource1" AllowSorting="True" AllowPaging="True">
                <AlternatingRowStyle CssClass="Alternate"></AlternatingRowStyle>
                <Columns>
                    <asp:BoundField DataField="Id" HeaderText="Faktura Nr" InsertVisible="False" ReadOnly="True" SortExpression="Id">
                        <ControlStyle Width="200px" />
                        <HeaderStyle Width="150px" />
                        <ItemStyle HorizontalAlign="Center" />
                    </asp:BoundField>
                    <asp:BoundField DataField="SubcriptionId" HeaderText="Medlemsskabs Nr" SortExpression="SubcriptionId">
                        <HeaderStyle Width="150px" />
                        <ItemStyle HorizontalAlign="Center" />
                    </asp:BoundField>
                    <asp:BoundField DataField="Price" HeaderText="Pris" SortExpression="Price">
                        <HeaderStyle Width="100px" />
                        <ItemStyle HorizontalAlign="Center" />
                    </asp:BoundField>
                    <asp:TemplateField HeaderText="Betalt">
                        <ItemTemplate>
                            <asp:CheckBox ID="paidChkBox"
                                runat="server" />
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Slet">
                        <ItemTemplate>
                            <asp:CheckBox ID="deleteChkBox"
                                runat="server" />
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
                <HeaderStyle BackColor="#0000FF" ForeColor="#000000" />
                <RowStyle Height="50px" />
                <SortedAscendingHeaderStyle BackColor="#0000CC" />
            </asp:GridView>
            <asp:GridView ID="GridView2" OnDataBound="GridView2_OnDataBound" EnableViewState="true" Visible="False" AlternatingRowStyle-CssClass="Alternate" CssClass="GridView" runat="server" AutoGenerateColumns="False" DataKeyNames="Id" DataSourceID="SqlDataSource2" AllowPaging="True" AllowSorting="True">
                <AlternatingRowStyle CssClass="Alternate"></AlternatingRowStyle>
                <Columns>
                    <asp:BoundField DataField="Id" HeaderText="Faktura Nr" InsertVisible="False" ReadOnly="True" SortExpression="Id">
                        <HeaderStyle Width="150px" />
                        <ItemStyle HorizontalAlign="Center" />
                    </asp:BoundField>
                    <asp:BoundField DataField="SubcriptionId" HeaderText="Medlemsskabs Nr" SortExpression="SubcriptionId">
                        <HeaderStyle Width="150px" />
                        <ItemStyle HorizontalAlign="Center" />
                    </asp:BoundField>
                    <asp:BoundField DataField="Price" HeaderText="Pris" SortExpression="Price">
                        <HeaderStyle Width="100px" />
                        <ItemStyle HorizontalAlign="Center" />
                    </asp:BoundField>
                    <asp:BoundField DataField="Paid" HeaderText="Betalt" SortExpression="Paid" />
                    <asp:TemplateField HeaderText="Slet">
                        <ItemTemplate>
                            <asp:CheckBox ID="deleteChkBox"
                                runat="server" />
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
                <HeaderStyle BackColor="#0000FF" ForeColor="#000000" />
                <RowStyle Height="50px" />
                <SortedAscendingHeaderStyle BackColor="#0000CC" />
            </asp:GridView>
            <asp:SqlDataSource ID="SqlDataSource2" runat="server" ConnectionString="Data Source=qjauqbgpqz.database.windows.net;Initial Catalog=membersystem;Persist Security Info=True;User ID=membersystem;Password=U'TP9UDkQ+eN(q$y" ProviderName="System.Data.SqlClient" SelectCommand="SELECT [Id], [SubcriptionId], [Paid], [Price] FROM [Invoice]"></asp:SqlDataSource>
            <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="Data Source=qjauqbgpqz.database.windows.net;Initial Catalog=membersystem;Persist Security Info=True;User ID=membersystem;Password=U'TP9UDkQ+eN(q$y" ProviderName="System.Data.SqlClient" SelectCommand="SELECT [Id], [SubcriptionId], [Price] FROM [Invoice] WHERE ([Paid] = @Paid)">
                <SelectParameters>
                    <asp:Parameter DefaultValue="N" Name="Paid" Type="String" />
                </SelectParameters>
            </asp:SqlDataSource>
            <br />
            <asp:Button ID="Submit" runat="server" Text="Godkend" class="btn btn-default" AutoPostBack="true" OnClick="Submit_OnClick" />
            <asp:Button ID="Cancel" runat="server" Text="Tilbage" class="btn btn-default" AutoPostBack="true" OnClick="Cancel_OnClick" />

        </div>
    </form>
</body>
</html>
