﻿using System;

namespace SharePointIntegrationWeb.Model
{
    public class Member
    {
        public int Id { get; set; }
        public String Name { get; set; }
        public String Email { get; set; }
        public DateTime Birthday { get; set; }
        public String Phone { get; set; }
        public String Address { get; set; }
        public String City { get; set; }
        public String ZipCode { get; set; }
        public String MemberType { get; set; }
        public String ApprovedBy { get; set; }
        public String Position { get; set; }

        public Member(String Name, String Email, DateTime Birthday, String Phone, String Address, String City, String ZipCode, String MemberType, String ApprovedBy)
        {
            this.Name = Name;
            this.Email = Email;
            this.Birthday = Birthday;
            this.Phone = Phone;
            this.Address = Address;
            this.City = City;
            this.ZipCode = ZipCode;
            this.MemberType = MemberType;
            this.ApprovedBy = ApprovedBy;
        }
        public Member(int Id, String Name, String Email, DateTime Birthday, String Phone, String Address, String City, String ZipCode, String MemberType, String ApprovedBy)
        {
            this.Id = Id;
            this.Name = Name;
            this.Email = Email;
            this.Birthday = Birthday;
            this.Phone = Phone;
            this.Address = Address;
            this.City = City;
            this.ZipCode = ZipCode;
            this.MemberType = MemberType;
            this.ApprovedBy = ApprovedBy;
        }
    }
}