﻿using System;

namespace SharePointIntegrationWeb.Pages
{
    public partial class ContactList : System.Web.UI.Page
    {       
        /// <summary>
        /// Checks if the membertype is "Bestyrelse", else redirect him back to startpage.
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void Page_PreRender(object sender, EventArgs e)
        {
            string memberType = (string)Session["MemberType"];
            if (memberType != "Medlem" && memberType != "Bestyrelse")
            {
                Response.Redirect((string)Session["StartPage"]);
            }
        }
        /// <summary>
        /// Everything in this class/web form is loaded in the markup through ASP.NET tools.
        /// The GridView tool is used to create a view from the database.
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void Page_Load(object sender, EventArgs e)
        {

        }
        protected void BackButton_Click(object sender, EventArgs e)
        {
            Response.Redirect((string)Session["StartPage"]);
        }
    }
}