﻿<%@ Page Title="Home Page" Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="SignUp._Default" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    
    <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js"></script>
    <link href="Content/Site.css" type="text/css" rel="stylesheet" />
    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/css/bootstrap.min.css" />

    <!-- Optional theme -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/css/bootstrap-theme.min.css" />

    <!-- Latest compiled and minified JavaScript -->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/js/bootstrap.min.js"></script>
</head>
<body>
    <form id="form1" runat="server">
        <div id="fields">
            <div runat="server" id="warningLabel" Visible="False" class="alert alert-danger" role="alert" style="width:250px"></div>
            <div class="editLabelDiv">Navn:</div>
            <div class="editInputDiv">
                <asp:TextBox ID="Name" runat="server" placeholder="Navn og efternavn" class="form-control" /></div>
            <br />
            <div class="editLabelDiv">E-mail:</div>
            <div class="editInputDiv">
                <asp:TextBox type="email" ID="Email" runat="server" placeholder="email@email.dk" class="form-control" />
            </div>
            <br />
            <div class="editLabelDiv">Fødselsdag:</div>
            <div class="editInputDiv">
                <asp:TextBox type="date" ID="Birthday" runat="server" placeholder="dd/mm/yyyy" class="form-control" />
            </div>
            <br />
            <div class="editLabelDiv">Telefon:</div>
            <div class="editInputDiv">
                <asp:TextBox type="text" ID="Phone" runat="server" placeholder="12345678" class="form-control" />
            </div>
            <br />
            <div class="editLabelDiv">Adresse:</div>
            <div class="editInputDiv">
                <asp:TextBox type="text" ID="Address" runat="server" placeholder="Din adresse" class="form-control" />
            </div>
            <br />
            <div class="editLabelDiv">Postnummer:</div>
            <div class="editInputDiv">
                <asp:TextBox type="text" ID="ZipCode" runat="server" oninput="GetCity()" MaxLength="4" placeholder="Dit postnummer" class="form-control" />
            </div>
            <br />
            <div class="editLabelDiv">By:</div>
            <div class="editInputDiv">
                <asp:TextBox runat="server" ID="City2" Style="display: none"></asp:TextBox>
                <asp:TextBox type="text" ID="City" runat="server" placeholder="Din by" class="form-control" ReadOnly="True" />
            </div>
            <br />
            <asp:Button ID="ButtonSend" runat="server" Text="Send bekræftelseskode" class="btn btn-default" AutoPostBack="true" OnClick="ButtonSend_Click" />
            <br />
            <asp:Label ID="errorlabel" runat="server" Visible="False"></asp:Label>

        </div>
    </form>
</body>
</html>

<script type="text/javascript">
    if ($("#ZipCode").val().length === 4) {
        GetCity();
    }

    function GetCity() {
        var zipCode = $("#ZipCode").val();
        if (isNaN(zipCode)) {
            $("#Submit").prop('disabled', true);
            alert("Postnummer må kun indeholde nummer");
        }
        else if (zipCode.length < 4) {
            $("#City").val("");
        }
        else if (zipCode.length === 4) {
            $.ajax({
                type: "POST", //HTTP method
                url: "Default.aspx/ZipCode_OnTextChanged", //page/method name
                data: "{'zipCode':'" + zipCode + "'}", //json to represent argument
                contentType: "application/json; charset=utf-8",
                success: function (data, textStatus, jqXHR) { //handle the callback to handle response
                    if (data.d === "City not found") {
                        $("#City").val("By ikke fundet");
                        $("#City2").val("By ikke fundet");
                        $("#Submit").prop('disabled', true);
                    } else {
                        $("#City").val(data.d);
                        $("#City2").val(data.d);
                    }
                }
            });
        }
    }
</script>